.module-component-etapi .box {
    background: var(--gradient-bg-overlay-2);
    border-radius: var(--radius-20);
    padding-top: calc(80 * var(--rpx));
    padding-bottom: calc(100 * var(--rpx));
}

.module-component-etapi .tag {
    color: var(--blue-100);
    padding: var(--spacing-8) var(--spacing-30);
    border-radius: var(--radius-20);
    background: var(--blue-100-10);
    width: fit-content;
}

.module-component-etapi .grid {
    position: relative;
    width: 100%;
    z-index: 0;
}

.module-component-etapi .grid .item {
    text-align: center;
}

.module-component-etapi .grid > div:nth-child(1) .item .number {
    transition-delay: 0.4s;
}

.module-component-etapi .grid > div:nth-child(2) .item .number {
    transition-delay: 0.8s;
}

.module-component-etapi .grid > div:nth-child(3) .item .number {
    transition-delay: 1.2s;
}

.module-component-etapi .grid > div:nth-child(4) .item .number {
    transition-delay: 1.6s;
}

.module-component-etapi .grid .item .number {
    width: calc(100 * var(--rpx));
    height: calc(100 * var(--rpx));
    border-radius: 100%;
    background: #89ABEE;
    color: var(--white);
    font: calc(35 * var(--rpx))/calc(42 * var(--rpx)) var(--font-primary);
    font-weight: 600;
    transition: var(--transition-anim);
}

.module-component-etapi[view="true"] .grid .item .number {
    background:var(--blue-100);
}

.module-component-etapi[view="true"] .grid > div:nth-child(1) .item .number {
    background:rgb(110 157 247);
}

.module-component-etapi[view="true"] .grid > div:nth-child(2) .item .number {
    background:#3c7fff;
}

.module-component-etapi .grid .item .text {
    color: var(--text-70);
    font: var(--font-p1);
    max-width: calc(335 * var(--rpx));
}

.module-component-etapi .grid .item .text h4 {
    color: var(--text);
}


/* Red */
.module-component-etapi .grid .item .number.red {
    background: var(--red-25);
}

.module-component-etapi[view="true"] .grid .number.red {
    background: var(--red-100);
}

/* Line */
.module-component-etapi .grid > div:last-child{
    position: absolute;
    pointer-events: none;
    width: 100%;
    z-index: -1;
}

.module-component-etapi .grid > div:last-child .line{
    width: 100%;
    height: auto;
    max-width: none;
    stroke-dasharray: var(--svg-path-length, 1700);
    stroke-dashoffset: var(--svg-path-length, 1700);
    opacity: 0;
    transition: stroke-dashoffset 2.5s ease-in-out 0.3s, opacity 2.5s ease-in-out 0.3s;
}

.module-component-etapi[view="true"] .grid > div:last-child .line {
    stroke-dashoffset: 0;
    opacity: 1;
}


@media (max-width: 1023px) {
    .module-component-etapi .grid[pc]{
        display: none;
    }

    .module-component-etapi .box{
        padding-top: var(--spacing-60);
        padding-bottom: var(--spacing-90);
    }

    .module-component-etapi .top{
        align-items: flex-start;
        gap: var(--spacing-24);
        padding: 0 var(--spacing-20);
    }

    .module-component-etapi .grid[mobile]{
        gap: 70px;
    }

    /* Items */
    .module-component-etapi .grid .item {
        flex-direction: row;
        align-items: start;
        padding-left: 5px;
        padding-right: 5px;
    }

    .module-component-etapi .grid .item .text {
        align-items: start;
        text-align: left;
        padding-top: 10px;
        width: 100%;
    }

    .module-component-etapi .grid[mobile] > div:nth-child(2) .item,
	.module-component-etapi .grid[mobile] > div:nth-child(3) .item{
        flex-direction: row-reverse;
        padding-right: 5px;
        gap: 5px;
        padding-left: 0;
    }

    .module-component-etapi .grid[mobile] > div:nth-child(2) .item .text,
    .module-component-etapi .grid[mobile] > div:nth-child(3) .item .text
	{
        padding-left: 13px;
        padding-top: 0;
        width: 100%;
    }

    .module-component-etapi .grid[mobile] > div:nth-child(4) .item {
		transform: translateY(30px);
    }

    .module-component-etapi .grid[mobile] > div:last-child {
        height: 100%;
    }

    .module-component-etapi .grid[mobile] .line {
        width: 95% !important;
        height: 100% !important;
    }

    .module-component-etapi .grid .item .number {
        width: calc(60 * var(--rpx));
        height: calc(60 * var(--rpx));
        font: calc(23 * var(--rpx))/calc(24 * var(--rpx)) var(--font-primary);
    }
}


@media (min-width: 1024px) {
    .module-component-etapi .grid[mobile]{
        display: none;
    }
}